﻿/**Begin D:\PDM_UPGRADE\PDM1\CDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_DRAFTBILLCHANGE') 
 CREATE TABLE T_CDM_DRAFTBILLCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FTRADETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTRADEBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDRAFTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FHAVECHANGECOUNT INT DEFAULT 0 NOT NULL,
FHAVECHANGEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBECHANGECOUNT INT DEFAULT 0 NOT NULL,
FBECHANGEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREASON VARCHAR(600) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_DRAFTBILL_HAVECHG') 
 CREATE TABLE T_CDM_DRAFTBILL_HAVECHG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDRAFTBILLID BIGINT DEFAULT 0 NOT NULL,
FTRANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FS_BILLAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISNEEDSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOLDSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FOLDELESTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTRADELOGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_DRAFTBILL_BECHANGE') 
 CREATE TABLE T_CDM_DRAFTBILL_BECHANGE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDRAFTBILLID BIGINT DEFAULT 0 NOT NULL,
FTRANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FS_BILLAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISNEEDSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOLDSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FOLDELESTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTRADELOGID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CDM_table.sql **/
